package com.logicbig.example;

import jakarta.annotation.PostConstruct;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Lazy;

public class MyEagerBean {

    @Autowired
    @Lazy
    private MyLazyBean myLazyBean;

    @PostConstruct
    public void init() {
        System.out.println(getClass().getSimpleName() + " has been initialized");
    }

    public void doSomethingWithLazyBean() {
        System.out.println("Using lazy bean");
        myLazyBean.doSomething();
    }
}